/*******************************************************************************
* File Name: LCD_2x16_PM.c
* Version 1.1
*
* Description:
*  This file provides the API source code for the Static Segment LCD component.
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#include "LCD_2x16.h"


static LCD_2x16_BACKUP_STRUCT LCD_2x16_backup;


/*******************************************************************************
* Function Name: LCD_2x16_SaveConfig
********************************************************************************
*
* Summary:
*  Does nothing, provided for consistency.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
*******************************************************************************/
void LCD_2x16_SaveConfig(void) 
{
}


/*******************************************************************************
* Function Name: LCD_2x16_RestoreConfig
********************************************************************************
*
* Summary:
*  Does nothing, provided for consistency.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
*******************************************************************************/
void LCD_2x16_RestoreConfig(void) 
{
}


/*******************************************************************************
* Function Name: LCD_2x16_Sleep
********************************************************************************
*
* Summary:
*  Prepares component for entering the sleep mode.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
* Reentrant:
*  No.
*
*******************************************************************************/
void LCD_2x16_Sleep(void) 
{
    LCD_2x16_backup.enableState = LCD_2x16_enableState;
    LCD_2x16_SaveConfig();
    LCD_2x16_Stop();
}


/*******************************************************************************
* Function Name: LCD_2x16_Wakeup
********************************************************************************
*
* Summary:
*  Wakes component from sleep mode. Configures DMA and enables the component for
*  normal operation.
*
* Parameters:
*  LCD_2x16_enableState - Global variable.
*
* Return:
*  Status one of standard status for PSoC3 Component
*       CYRET_SUCCESS - Function completed successfully.
*       CYRET_LOCKED - The object was locked, already in use. Some of TDs or
*                      a channel already in use.
*
* Reentrant:
*  No.
*
*******************************************************************************/
void LCD_2x16_Wakeup(void) 
{
    LCD_2x16_RestoreConfig();

    if(LCD_2x16_backup.enableState == 1u)
    {
        LCD_2x16_Enable();
    }
}


/* [] END OF FILE */
